PHP Manualen
forrige |  | næste

# SDO_List::insert

(no version information, might be only in CVS)

SDO_List::insert -- Insert into a list.

## Beskrivelse

void SDO_List::insert ( mixed value [, int index] )

Advarsel
Denne funktion er EKSPERIMENTABEL. Virkemåden af denne funktion, navnet på funktionen, og andet ellers dokumenteret om denne funktion, ændres muligvis uden advarsel i en fremtidig version af PHP. Brug af denne funktion er på ejet ansvar.

Insert a new element at a specified position in the list. All subsequent list items are moved up.

## Parameterliste

value

  The new value to be inserted. This can be either a primitive or an SDO_DataObject.

index

  The position at which to insert the new element. If this argument is not specified then the new value will be appended.

## Returneringsværdier

None.

## Exceptions

SDO_IndexOutOfBoundsException

  Thrown if the list index is less than zero or greater than the size of the list.

SDO_InvalidConversionException

  Thrown if the type of the new value does not match the type for the list (e.g. the type of the many-valued property that the list represents).

forrige | hjem | næste
SDO_DataObject::getType | op | SDO_Sequence::getPropertyIndex